
/*****************************************************************************
 * GWCI    GNOME Web CGI Interface                                           *
 * A GNOME panel applet that accepts entrybox input and appends the result   *
 * a launcher command. Does URL armoring if the given string, intended to    *
 * launcher web browsers to make web searches and other cgi activities a     *
 * little easier.                                                            *
 *                                                                           *
 * Copyright (C) 2000 Erik Greenwald <erik@smluc.org>                        *
 * This program is free software; you can redistribute it and/or modify      * 
 * it under the terms of the GNU General Public License as published by      *
 * the Free Software Foundation; either version 2 of the License, or         *
 * (at your option) any later version.                                       *
 *                                                                           *
 * This program is distributed in the hope that it will be useful,           *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of            *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
 * GNU General Public License for more details.                              *
 *                                                                           *
 * You should have received a copy of the GNU General Public License         *
 * along with this program; if not, write to the Free Software               *
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
 ****************************************************************************/

#include <gnome.h>
#include "about.h"

const static gchar *authors[] = { "Erik Greenwald <erik@smluc.org>",
    NULL
};


void
about ()
{
    /*
     * is this a memory leak? Hrmmmm 
     */
    gtk_widget_show_all (gnome_about_new
			 (PACKAGE, VERSION, "Copyright (C) 2001", authors,
			  "GNOME Web CGI Interface", NULL));
    return;
}

void
help ()
{
    GnomeHelpMenuEntry help_entry = { "gwci_applet", "index.html" };

    gnome_help_display (NULL, &help_entry);
    return;
}
